package com.sun.jmx.snmp.IPAcl;

import java.net.UnknownHostException;

class JDMIpAddress extends Host
{
    private static final long serialVersionUID = 849729919486384484L;
    protected StringBuffer address;
    
    JDMIpAddress(int n) {
        super(n);
        this.address = new StringBuffer();
    }
    
    JDMIpAddress(Parser parser, int n) {
        super(parser, n);
        this.address = new StringBuffer();
    }
    
    public static Node jjtCreate(int n) {
        return new JDMIpAddress(n);
    }
    
    public static Node jjtCreate(Parser parser, int n) {
        return new JDMIpAddress(parser, n);
    }
    
    @Override
    protected String getHname() {
        return this.address.toString();
    }
    
    @Override
    protected PrincipalImpl createAssociatedPrincipal() throws UnknownHostException {
        return new PrincipalImpl(this.address.toString());
    }
}
